//
//  FavMessageModel.swift
//  WoWonder
//
//  Created by iMac on 20/07/23.
//  Copyright © 2023 ScriptSun. All rights reserved.
//

import Foundation

struct FavMessageModel : Codable {
    
    let api_status : Int?
    let data : [MessageModel]?
    
    enum CodingKeys: String, CodingKey {
        case api_status = "api_status"
        case data = "data"
    }
    
    init(from decoder: Decoder) throws {
        let values = try decoder.container(keyedBy: CodingKeys.self)
        api_status = try values.decodeIfPresent(Int.self, forKey: .api_status)
        data = try values.decodeIfPresent([MessageModel].self, forKey: .data)
    }
    
}
